# Eratosthenese sõel
SP = 1000000 # sõela pikkus
soel = [] # algarvude jada

def alg():
    for i in range(SP):
        soel.append(1) # alguses paneme kõik algarvudeks
    soel[0] = 0 # 0 ei ole algarv
    soel[1] = 0 # 1 ei ole algarv
    i = 2
    while i * i <= SP:
        if soel[i] == 1:
            j = i * i
            while j < SP:
                soel[j] = 0
                j += i
        i += 1

# Arvu algtegurite leidmine
def algtegurid(n):
    tegurid = [] # siin hoiame vastust
    aa = 1  # järgmine algarv, millega jagame
    while aa <= SP: # otsime sõelast
        aa += 1
        if soel[aa] == 0:
            continue # kui ei ole algarv, võtame järgmise
        if aa*aa > n:
            break # kui teguri ruut on suurem kui n, siis lõpetame
        while n % aa == 0:
            # kuni jagub vaadeldava algarvuga
            tegurid.append(int(aa)) # kirjutame selle algarvu tegurite massiivi
            n /= aa # jagame n-i läbi
    if n != 1:
        tegurid.append(int(n)) # kui meil midagi järele jäi, siis ehk algarv
    return tegurid

alg() # täidab sõela

r = algtegurid(142391208960)
a = ' '.join(str(x) for x in r)
print(a)

r = algtegurid(2147483647)
a = ' '.join(str(x) for x in r)
print(a)

r = algtegurid(136117223861)
a = ' '.join(str(x) for x in r)
print(a)